Subject: Re: [PATCH gnome-team v2 0/2] Make the glibmm-2.76 variable public in (gnu packages glib)

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 21 Mar 2024 19:49:32 +0100

Am Donnerstag, dem 21.03.2024 um 19:25 +0100 schrieb Vivien Kraus:
> Le dimanche 17 mars 2024 à 09:30 +0100, Liliana Marie Prikler a
> écrit :
> > > I did not choose the correct words, sorry. There is an
> > > incompatibility between the 2.76 API and the 2.78 that we use,
> > > and
> > > this version of the telegram package can only build against 2.76.
> > Could you give a more detailed explanation of this API
> > incompatibility?
> > The whole point of major versions would be to avoid this kind of
> > thing, no?
> I don’t have much information, other than “it does not build with
> glibmm 2.78”. The Github merge request for a relevant issue does not
> give much information either:
> 
> https://github.com/desktop-app/lib_base/pull/186
Hmm, could we still use that patch and make it "Fix build with glibmm-
2.78"

>From a cursory glance, it looks like some type signatures might have
changed, but that's a guess.